Vuframe® CDN API

Vuframe® CDN API for delivering media, assets and 3D models.

v1.0.0Download vuframe-cdn-api.yml

Clients

Secured calls for Vuframe® app clients.

download an item

GET/{token}/item

Call /{token}/item to download a file.

Content Types:

  • 3D Item
  • Image
  • Movie
  • PDF

Warning: For 3D Items, when no format is passed this defaults to the contents.zip of a legacy Vuframe 3D file.

Path parameters

NameTypeDescription
tokenrequiredstringthe token of the requested item. Example: "2f12c4d43743e0bc123c46faf23c196d123466123a67169d".

Query parameters

NameTypeDescription
versionintegerthe specific version of the item, defaults to latest version if not passed
redirectintegerredirect to final download path, instead of serving file directly. setting redirect=1 is highly recommended. One of: 0, 1. Default: 0.
formatstring
resolutionstringresolution identifier, if resolution is found will be returned, otherwise raw file.
example resolutions: 0k, 1k, 2k, 4k
segmentintegerindex of the segment of the file to be retrieved (currently only used for 360 images
pass 0 for the left, 1 for the right half of the image)
clientstringstring identifying the client making this request. Example: "aura-cli".
cloudfrontintegerRequesting a Cloudfront presigned url instead of the S3 presigned url. One of: 0, 1. Default: 0.
inspectintegerAdmin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0.

Responses

302redirect for download

No body.

Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/item"

download an item; DEPRECATED, use /{token}/item instead

GET/{token}/download [DEPRECATED]

Path parameters

NameTypeDescription
tokenrequiredstringthe token of the requested item

Responses

302redirect for download

No body.

Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/download [DEPRECATED]"

retrieve the download url for an item

GET/{token}/download_url

Path parameters

NameTypeDescription
tokenrequiredstringthe token of the requested item

Query parameters

NameTypeDescription
versionintegerthe specific version of the item, defaults to latest version if not passed
cloudfrontintegerRequesting a Cloudfront presigned url instead of the S3 presigned url. One of: 0, 1. Default: 0.
inspectintegerAdmin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0.

Responses

200download_url and source_properties

Content type application/json

FieldTypeDescription
[].guidstring (uuid)
[].namestring
[].typestring
[].assetstring
[].editorstring
[].layoutsarray of object
[].layouts[].namestring
[].versionstring
[].featuresarray of string
[].surfacesarray of any
[].triggersarray of any
[].luminancestring
[].variationsarray of object
[].variations[].namestring
[].variations[].stylesarray of any
[].variations[].descriptionstring
[].api_versionstring
[].ar_patternsarray of any
[].published_atstring
[].lighting_typestring
[].editor_variantstring
[].editor_versionstring
[].lighting_colorstring
[].plugin_versionstring
[].main_ar_patternstring
[].background_colorstring (nullable)
[].external_objectsarray of any
[].external_texturesarray of any
[].external_materialsarray of any
[].lighting_directionstring
[].lighting_intensitystring
[].augmented_middlewarestring
[].additional_formatsobject
[].urlstring
[].thumbstring
Example
[
  {
    "guid": "bf1a77aaa42cb9e253965f4e6482463e778e45145a464564",
    "name": "Kitchen-Mixer",
    "type": "cloud_scene",
    "asset": "Mixer",
    "editor": "unity",
    "layouts": [
      {
        "name": "root"
      }
    ],
    "version": 7,
    "features": [
      "touch"
    ],
    "surfaces": [
      null
    ],
    "triggers": [
      null
    ],
    "luminance": 0.42027527135757087,
    "variations": [
      {
        "name": "Meshes",
        "styles": [
          null
        ],
        "description": null
      }
    ],
    "api_version": 42,
    "ar_patterns": [
      null
    ],
    "published_at": "01.04.2020 14:23:13",
    "lighting_type": "dynamic",
    "editor_variant": "ios",
    "editor_version": "2017.4.1f1",
    "lighting_color": 0,
    "plugin_version": 23,
    "main_ar_pattern": null,
    "background_color": "string",
    "external_objects": [
      null
    ],
    "external_textures": [
      null
    ],
    "external_materials": [
      null
    ],
    "lighting_direction": "(000000)",
    "lighting_intensity": 0,
    "augmented_middleware": "wikitude",
    "additional_formats": {},
    "url": "https://cdn.vuframe.com/...",
    "thumb": "https://cdn.vuframe.com/..."
  }
]
Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/download_url"

retrieve properties of item as json

GET/{token}/properties

Path parameters

NameTypeDescription
tokenrequiredstringthe token of the requested item

Query parameters

NameTypeDescription
versionintegerthe specific version of the item, defaults to latest version if not passed
inspectintegerAdmin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0.

Responses

200search results matching criteria

Content type application/json

FieldTypeDescription
[].guidstring (uuid)
[].namestring
[].typestring
[].assetstring
[].editorstring
[].layoutsarray of object
[].layouts[].namestring
[].versionstring
[].featuresarray of string
[].surfacesarray of any
[].triggersarray of any
[].luminancestring
[].variationsarray of object
[].variations[].namestring
[].variations[].stylesarray of any
[].variations[].descriptionstring
[].api_versionstring
[].ar_patternsarray of any
[].published_atstring
[].lighting_typestring
[].editor_variantstring
[].editor_versionstring
[].lighting_colorstring
[].plugin_versionstring
[].main_ar_patternstring
[].background_colorstring (nullable)
[].external_objectsarray of any
[].external_texturesarray of any
[].external_materialsarray of any
[].lighting_directionstring
[].lighting_intensitystring
[].augmented_middlewarestring
[].additional_formatsobject
Example
[
  {
    "guid": "bf1a77aaa42cb9e253965f4e6482463e778e45145a464564",
    "name": "Kitchen-Mixer",
    "type": "cloud_scene",
    "asset": "Mixer",
    "editor": "unity",
    "layouts": [
      {
        "name": "root"
      }
    ],
    "version": 7,
    "features": [
      "touch"
    ],
    "surfaces": [
      null
    ],
    "triggers": [
      null
    ],
    "luminance": 0.42027527135757087,
    "variations": [
      {
        "name": "Meshes",
        "styles": [
          null
        ],
        "description": null
      }
    ],
    "api_version": 42,
    "ar_patterns": [
      null
    ],
    "published_at": "01.04.2020 14:23:13",
    "lighting_type": "dynamic",
    "editor_variant": "ios",
    "editor_version": "2017.4.1f1",
    "lighting_color": 0,
    "plugin_version": 23,
    "main_ar_pattern": null,
    "background_color": "string",
    "external_objects": [
      null
    ],
    "external_textures": [
      null
    ],
    "external_materials": [
      null
    ],
    "lighting_direction": "(000000)",
    "lighting_intensity": 0,
    "augmented_middleware": "wikitude",
    "additional_formats": {}
  }
]
Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/properties"

download preview image (JPG or PNG)

GET/{token}/preview

Path parameters

NameTypeDescription
tokenrequiredstringthe token of the requested item

Query parameters

NameTypeDescription
versionintegerthe specific version of the item, defaults to latest version if not passed
redirectintegerredirect to final download path, instead of serving file directly. setting redirect=1 is highly recommended. One of: 0, 1. Default: 0.
inspectintegerAdmin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0.

Responses

302redirect to preview image

No body.

Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/preview"

download thumbnail image (JPG)

GET/{token}/thumb

Path parameters

NameTypeDescription
tokenrequiredstringthe token of the requested item

Query parameters

NameTypeDescription
versionintegerthe specific version of the item, defaults to latest version if not passed
redirectintegerredirect to final download path, instead of serving file directly. setting redirect=1 is highly recommended. One of: 0, 1. Default: 0.
inspectintegerAdmin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0.

Responses

302redirect to thumbnail image

No body.

Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/thumb"

download items which are streamed by default

GET/{token}/package

Path parameters

NameTypeDescription
tokenrequiredstringthe token of the requested item

Query parameters

NameTypeDescription
resolutionstringresolution identifier, if resolution is found will be returned, otherwise raw file.
example resolutions: 0k, 1k, 2k, 4k
versionintegerthe specific version of the item, defaults to latest version if not passed
cloudfrontintegerRequesting a Cloudfront presigned url instead of the S3 presigned url. One of: 0, 1. Default: 0.
inspectintegerAdmin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0.

Responses

302redirect to package file

No body.

Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/package"

download processed file directly

GET/{token}/raw

Path parameters

NameTypeDescription
tokenrequiredstringthe token of the requested item

Query parameters

NameTypeDescription
versionintegerthe specific version of the item, defaults to latest version if not passed
cloudfrontintegerRequesting a Cloudfront presigned url instead of the S3 presigned url. One of: 0, 1. Default: 0.
inspectintegerAdmin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0.

Responses

302redirect to processed file

No body.

Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/raw"

download the uploaded source of an item

GET/{token}/source

download source file

Path parameters

NameTypeDescription
tokenrequiredstringthe token of the requested item

Query parameters

NameTypeDescription
versionintegerthe specific version of the item, defaults to latest version if not passed
cloudfrontintegerRequesting a Cloudfront presigned url instead of the S3 presigned url. One of: 0, 1. Default: 0.
inspectintegerAdmin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0.

Responses

302redirect to original, unprocessed file

No body.

Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/source"

download a resource from within this item

GET/{token}/resource/{resource_name}

Path parameters

NameTypeDescription
tokenrequiredstringthe token of the requested item
resource_namerequiredstringname of the requested resource

Query parameters

NameTypeDescription
extstringthe extension of the requested resource, prevents the need for urlencoded resource names (zip, dat, jpg, etc..)
versionintegerthe specific version of the item, defaults to latest version if not passed
cloudfrontintegerRequesting a Cloudfront presigned url instead of the S3 presigned url. One of: 0, 1. Default: 0.
inspectintegerAdmin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0.

Responses

302redirect to resource file

No body.

Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/resource/{resource_name}"

download a resource from within this item

GET/{token}/edge/{resource_name}

Path parameters

NameTypeDescription
tokenrequiredstringthe token of the requested item
resource_namerequiredstringname of the requested resource

Query parameters

NameTypeDescription
extstringthe extension of the requested resource, prevents the need for urlencoded resource names (zip, dat, jpg, etc..)
pathstringthe path leading to the requested resource (e.g. auraweb for AuraWeb data)
cloudfrontintegerRequesting a Cloudfront presigned url instead of the S3 presigned url. One of: 0, 1. Default: 0.
inspectintegerAdmin-only instead of executing the request, return a JSON which contains the information of what would be returned. One of: 0, 1. Default: 0.

Responses

302redirect to resource file

No body.

Example request
curl -X GET "https://virtserver.swaggerhub.com/Vuframe/CDN/1.0.0/{token}/edge/{resource_name}"